{% extends 'base.html' %}

{% block body %}

{% if cart_items_count != 0 %}
<h2>Your order</h2>
<table>
  <tr>
    <th>Dish</th>
    <th>Price</th>
    <th>Quantity</th>
  </tr>
  {% for item in cart_items %}
  <tr>
    <td>{{ item.dish.title }}</td>
    <td>{{ item.dish.price }} ₴</td>
    <td>
      <img data-id='{{ item.dish.id }}' class="plus-minus-icons plus" src="{% static 'images/icon-plus.png' %}">
      <span data-id='{{ item.dish.id }}'>{{ item.qty }}</span>
      <img data-id='{{ item.dish.id }}' class="plus-minus-icons minus" src="{% static 'images/icon-minus.png' %}">
    </td>
    <td>
      <a href="{% url 'remove_from_cart' item.dish.id %}">
        <img class="cart-remove-icon" src="{% static 'images/icon-x.png' %}">
      </a>
    </td>
  </tr>
  {% endfor %}
  <tr>
    <th>Total: </th>
    <th class="js-cart-total" colspan="2">{{ cart_total }} ₴</th>
  </tr>
</table>

<form method="POST" class="form-submit-order" action="{% url 'success' %}">
  {% csrf_token %}
  {{ form.as_p }}
  <input type="submit" class="btn btn-submit" value="Submit order">
</form>

{% else %}
<h2>Your cart is empty :(
<br>It's time to order some pizza!
</h2>

{% endif %}

<h3>Return to the <a href="{% url 'main' %}">main page</a></h3>

{% endblock %}
